org.eclipse.incquery.uml.derivedfeatures

## Class ActionInputMatch

- java.lang.Object
- - org.eclipse.incquery.runtime.api.impl.BasePatternMatch
  - - org.eclipse.incquery.uml.derivedfeatures.ActionInputMatch

- All Implemented Interfaces:
    java.lang.Cloneable, IPatternMatch

      public abstract class ActionInputMatch
      extends BasePatternMatch

  Pattern-specific match representation of the org.eclipse.incquery.uml.derivedfeatures.actionInput pattern, to be used in conjunction with `ActionInputMatcher`.

  Class fields correspond to parameters of the pattern. Fields with value null are considered unassigned. Each instance is a (possibly partial) substitution of pattern parameters, usable to represent a match of the pattern in the result of a query, or to specify the bound (fixed) input parameters when issuing a query.

  See Also:
    `ActionInputMatcher`, `ActionInputProcessor`

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.Object` | `get(java.lang.String parameterName)` Returns the value of the parameter with the given name, or null if name is invalid.
    `org.eclipse.uml2.uml.Action` | `getSource()`
    `org.eclipse.uml2.uml.InputPin` | `getTarget()`
    `int` | `hashCode()`
    `static ActionInputMatch` | `newEmptyMatch()` Returns an empty, mutable match.
    `static ActionInputMatch` | `newMatch(org.eclipse.uml2.uml.Action pSource, org.eclipse.uml2.uml.InputPin pTarget)` Returns a new (partial) match.
    `static ActionInputMatch` | `newMutableMatch(org.eclipse.uml2.uml.Action pSource, org.eclipse.uml2.uml.InputPin pTarget)` Returns a mutable (partial) match.
    `java.util.List<java.lang.String>` | `parameterNames()` Returns the list of symbolic parameter names.
    `java.lang.String` | `patternName()` Identifies the name of the pattern for which this is a match.
    `java.lang.String` | `prettyPrint()` Prints the list of parameter-value pairs.
    `boolean` | `set(java.lang.String parameterName, java.lang.Object newValue)` Sets the parameter with the given name to the given value.
    `void` | `setSource(org.eclipse.uml2.uml.Action pSource)`
    `void` | `setTarget(org.eclipse.uml2.uml.InputPin pTarget)`
    `ActionInputQuerySpecification` | `specification()`
    `java.lang.Object[]` | `toArray()` Converts the match to an array representation, with each pattern parameter at their respective position.
    `ActionInputMatch` | `toImmutable()` Takes an immutable snapshot of this match.

    - ### Methods inherited from class org.eclipse.incquery.runtime.api.impl.BasePatternMatch

      `get, isCompatibleWith, prettyPrintFeature, prettyPrintValue, set, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.incquery.runtime.api.IPatternMatch

      `isMutable`

- - ### Method Detail

    - #### get

          public java.lang.Object get(java.lang.String parameterName)

      Description copied from interface: `IPatternMatch`
      Returns the value of the parameter with the given name, or null if name is invalid.

    - #### getSource

          public org.eclipse.uml2.uml.Action getSource()

    - #### getTarget

          public org.eclipse.uml2.uml.InputPin getTarget()

    - #### set

          public boolean set(java.lang.String parameterName,
                             java.lang.Object newValue)

      Description copied from interface: `IPatternMatch`
      Sets the parameter with the given name to the given value.

      Works only if match is mutable. See `IPatternMatch.isMutable()`.

    - #### setSource

          public void setSource(org.eclipse.uml2.uml.Action pSource)

    - #### setTarget

          public void setTarget(org.eclipse.uml2.uml.InputPin pTarget)

    - #### patternName

          public java.lang.String patternName()

      Description copied from interface: `IPatternMatch`
      Identifies the name of the pattern for which this is a match.
      Specified by:
        `patternName` in interface `IPatternMatch`
      Overrides:
        `patternName` in class `BasePatternMatch`

    - #### parameterNames

          public java.util.List<java.lang.String> parameterNames()

      Description copied from interface: `IPatternMatch`
      Returns the list of symbolic parameter names.
      Specified by:
        `parameterNames` in interface `IPatternMatch`
      Overrides:
        `parameterNames` in class `BasePatternMatch`

    - #### toArray

          public java.lang.Object[] toArray()

      Description copied from interface: `IPatternMatch`
      Converts the match to an array representation, with each pattern parameter at their respective position. In case of a partial match, unsubstituted parameters will be represented as null elements in the array.
      Returns:
        a newly constructed array containing each parameter substitution of the match in order.

    - #### toImmutable

          public ActionInputMatch toImmutable()

      Description copied from interface: `IPatternMatch`
      Takes an immutable snapshot of this match.
      Returns:
        the match itself in case of immutable matches, an immutable copy in case of mutable ones.

    - #### prettyPrint

          public java.lang.String prettyPrint()

      Description copied from interface: `IPatternMatch`
      Prints the list of parameter-value pairs.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### specification

          public ActionInputQuerySpecification specification()

      Returns:
        the pattern for which this is a match.

    - #### newEmptyMatch

          public static ActionInputMatch newEmptyMatch()

      Returns an empty, mutable match. Fields of the mutable match can be filled to create a partial match, usable as matcher input.
      Returns:
        the empty match.

    - #### newMutableMatch

          public static ActionInputMatch newMutableMatch(org.eclipse.uml2.uml.Action pSource,
                                                         org.eclipse.uml2.uml.InputPin pTarget)

      Returns a mutable (partial) match. Fields of the mutable match can be filled to create a partial match, usable as matcher input.
      Parameters:
        `pSource` - the fixed value of pattern parameter source, or null if not bound.
        `pTarget` - the fixed value of pattern parameter target, or null if not bound.
      Returns:
        the new, mutable (partial) match object.

    - #### newMatch

          public static ActionInputMatch newMatch(org.eclipse.uml2.uml.Action pSource,
                                                  org.eclipse.uml2.uml.InputPin pTarget)

      Returns a new (partial) match. This can be used e.g. to call the matcher with a partial match.

      The returned match will be immutable. Use `newEmptyMatch()` to obtain a mutable match object.

      Parameters:
        `pSource` - the fixed value of pattern parameter source, or null if not bound.
        `pTarget` - the fixed value of pattern parameter target, or null if not bound.
      Returns:
        the (partial) match object.